Bug 1743525 - Add input is automatically using Resource type also when value type is Plain, happening when in previous input, value type - search was chosen
Summary: Add input is automatically using Resource type also when value type is Plain,...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.6.0
Assignee: Ondřej Ezr
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-20 07:46 UTC by tstrych
Modified: 2019-10-22 19:51 UTC (History)
4 users (show)

Fixed In Version: foreman-1.22.0.23-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:51:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27662 Normal Closed New template input has Resource Type visible even it's input type is not using this value. 2020-05-28 11:46:21 UTC
Github theforeman foreman pull 6991 None closed Fixes #27662 - template inputs - adding field 2020-05-28 11:46:21 UTC

Description tstrych 2019-08-20 07:46:03 UTC
Description of problem:
Add input is automatically using Resource type also when value type is Plain, this is happening only when in previous input value type was set to search.

Version-Release number of selected component (if applicable):
sat 6.6 snap 16

How reproducible:
Always

Steps to Reproduce:
1. monitor -> report template -> create report template
2. inputs (tab) -> value type == Search
3. Add another input (button Add input) and there is automatically Value type Plain together with Resource Type - Activation Keys (which is wrong) 

For Value type == Plain there should be field Options and not Resource Type. 

Actual result: When user add another input, right after previous input where value type was equal to Search, then for Value type Plain there is still field Resource type.

Expected result: When user add another input, right after previous input where value type was equal to Search, then Value type Plain should display field with name Options instead of Resource type. 


Additional info:
It's connected to Bug 1728676

Comment 3 Ondřej Ezr 2019-08-20 10:42:08 UTC
This is even more annoying than described - the Resource Type fields show/hide all together while creating template depending on the last choice.

Comment 4 Bryan Kearney 2019-08-21 12:01:46 UTC
Upstream bug assigned to oezr@redhat.com

Comment 5 Bryan Kearney 2019-08-21 12:01:48 UTC
Upstream bug assigned to oezr@redhat.com

Comment 6 Bryan Kearney 2019-09-05 14:01:55 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27662 has been resolved.

Comment 9 Lukáš Hellebrandt 2019-09-30 11:45:51 UTC
Verified with Sat 6.6 snap 22.

Used reproducer from OP. Creating and editing report templates, even with multiple inputs, now works as expected.

Comment 10 Bryan Kearney 2019-10-22 19:51:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.